VkDescriptorUpdateTemplateEntryKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount
VkDescriptorType | descriptorType
size_t | offset
size_t | stride

## Detailed Description

Definition at line 4559 of file vulkan.h.

## Field Documentation

## descriptorCount

uint32_t VkDescriptorUpdateTemplateEntryKHR::descriptorCount

Definition at line 4562 of file vulkan.h.

## descriptorType

VkDescriptorType VkDescriptorUpdateTemplateEntryKHR::descriptorType

Definition at line 4563 of file vulkan.h.

## dstArrayElement

uint32_t VkDescriptorUpdateTemplateEntryKHR::dstArrayElement

Definition at line 4561 of file vulkan.h.

## dstBinding

uint32_t VkDescriptorUpdateTemplateEntryKHR::dstBinding

Definition at line 4560 of file vulkan.h.

## offset

size_t VkDescriptorUpdateTemplateEntryKHR::offset

Definition at line 4564 of file vulkan.h.

## stride

size_t VkDescriptorUpdateTemplateEntryKHR::stride

Definition at line 4565 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h